# -*- coding: utf-8 -*-
"""
UTc! module: client

Purpose
=======
 Provides a lobby-access entry point for the official UTc! release.
 
Legal
=====
 All code, unless otherwise indicated, is original, and subject to the
 terms of the GPLv3, which is provided in COPYING.
 
 (C) Neil Tallim, 2009
"""
import wxversion
wxversion.ensureMinimal('2.8')

import wx

import src.lobby.login_gui

class App(wx.App):
	"""
	The application context in which the client will run.
	"""
	def OnInit(self):
		"""
		Initialises the application's variables and displays the login GUI.
		"""
		wx.InitAllImageHandlers()
		login_gui = src.lobby.login_gui.LoginGUI(None, -1, "")
		self.SetTopWindow(login_gui)
		login_gui.Show()
		return 1
		
if __name__ == "__main__":
	app = App(0)
	app.MainLoop()
	